#!/bin/sh

#
# Include IP configuration
#
if [ -e /etc/init.d/ipconfig ] ; then
	. /etc/init.d/ipconfig
fi

#
# Convert WifiMode
#
case "${WIFIMODE}" in
'AP')
	WIFIMODE="ap" ;;
'INFRASTRUCTURE'|'AUTO')
	WIFIMODE="sta" ;;
'AD-HOC' | *)
	WIFIMODE="ibss" ;;
esac

#
# Reset WiFi
#
rmmod ar6000
rmmod mxs-mmc
rmmod mmc_block
rmmod mmc_core

if [ ${WIFIMODE} = "ap" ] ; then
	killall -q hostapd
else
	killall -q wpa_supplicant
fi

echo 0 > /sys/class/gpio/gpio69/value
echo 1 > /sys/class/gpio/gpio69/value
insmod /lib/modules/mmc_core.ko
insmod /lib/modules/mmc_block.ko
insmod /lib/modules/mxs-mmc.ko
/etc/init.d/loadar6k.sh ${WIFIMODE}

sleep 1
if [ ${WIFIMODE} = "ap" ] ; then
	hostapd -B /etc/hostapd.conf
else
	wpa_supplicant -i ath0 -B -c /etc/wpa_supplicant.conf
fi

exit 0
